Module | TkWinRegistry
In: | tk/lib/tk/winpkg.rb

### Methods

broadcast delete get keys set type values

### Constants

TkCommandNames | = | ['registry'.freeze].freeze

### Public Instance methods

broadcast(keynam, timeout=nil)

[Source]

    # File tk/lib/tk/winpkg.rb, line 100
      def broadcast(keynam, timeout=nil)
        if timeout
          tk_call('registry', 'broadcast', keynam, '-timeout', timeout)
        else
          tk_call('registry', 'broadcast', keynam)
        end
      end

delete(keynam, valnam=None)

[Source]

    # File tk/lib/tk/winpkg.rb, line 108
      def delete(keynam, valnam=None)
        tk_call('registry', 'delete', keynam, valnam)
      end

get(keynam, valnam)

[Source]

    # File tk/lib/tk/winpkg.rb, line 112
      def get(keynam, valnam)
        tk_call('registry', 'get', keynam, valnam)
      end

keys(keynam, pattern=nil)

[Source]

    # File tk/lib/tk/winpkg.rb, line 116
      def keys(keynam, pattern=nil)
        lst = tk_split_simplelist(tk_call('registry', 'keys', keynam))
        if pattern
          lst.find_all{|key| key =~ pattern}
        else
          lst
        end
      end

set(keynam, valnam=None, data=None, dattype=None)

[Source]

    # File tk/lib/tk/winpkg.rb, line 125
      def set(keynam, valnam=None, data=None, dattype=None)
        tk_call('registry', 'set', keynam, valnam, data, dattype)
      end

type(keynam, valnam)

[Source]

    # File tk/lib/tk/winpkg.rb, line 129
      def type(keynam, valnam)
        tk_call('registry', 'type', keynam, valnam)
      end

values(keynam, pattern=nil)

[Source]

    # File tk/lib/tk/winpkg.rb, line 133
      def values(keynam, pattern=nil)
        lst = tk_split_simplelist(tk_call('registry', 'values', keynam))
        if pattern
          lst.find_all{|val| val =~ pattern}
        else
          lst
        end
      end

[Validate]